Package: org.grails.cli.profile.commands.factory

## [Groovy] Class ResourceResolvingCommandFactory.2

- org.grails.cli.profile.commands.factory.ResourceResolvingCommandFactory.2

-     class ResourceResolvingCommandFactory.2
      extends FileSystemCommandResourceResolver

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class FileSystemCommandResourceResolver` | `matchingFileExtensions`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ResourceResolvingCommandFactory.2 ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Resource` | `getCommandsDirectory(Profile profile)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class FileSystemCommandResourceResolver` | `findCommandResources, getCommandsDirectory`

- - ### Constructor Detail

    - #### ResourceResolvingCommandFactory.2()

  - ### Method Detail

    - #### @java.lang.Override protected Resource getCommandsDirectory(Profile profile)